OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_EntityList Class Reference

This class defines a list of Entities (Transient Objects),
it can be used as a field of other Transient classes, with
these features :
- oriented to define a little list, that is, slower than an
Array or a Map of Entities for a big count (about 100 and
over), but faster than a Sequence
- allows to work as a Sequence, limited to Clear, Append,
Remove, Access to an Item identified by its rank in the list
- space saving, compared to a Sequence, especially for little
amounts; better than an Array for a very little amount (less
than 10) but less good for a greater amount
Works in conjunction with EntityCluster
An EntityList gives access to a list of Entity Clusters, which
are chained (in one sense : Single List)
Remark : a new Item may not be Null, because this is the
criterium used for "End of List"
.

`#include <Interface_EntityList.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_EntityList ()
| Creates a List as beeing empty .
Standard_EXPORT void | Clear ()
| Clears the List .
Standard_EXPORT void | Append (const Handle(Standard_Transient)&ent)
| Appends an Entity, that is to the END of the list (keeps order, but works slowerly than Add, see below) .
Standard_EXPORT void | Add (const Handle(Standard_Transient)&ent)
| Adds an Entity to the list, that is, with NO REGARD about the order (faster than Append if count becomes greater than 10) .
Standard_EXPORT void | Remove (const Handle(Standard_Transient)&ent)
| Removes an Entity from the list, if it is there .
Standard_EXPORT void | Remove (const Standard_Integer num)
| Removes an Entity from the list, given its rank .
Standard_EXPORT Standard_Boolean | IsEmpty () const
| Returns True if the list is empty .
Standard_EXPORT Standard_Integer | NbEntities () const
| Returns count of recorded Entities .
Standard_EXPORT const Handle_Standard_Transient & | Value (const Standard_Integer num) const
| Returns an Item given its number. Beware about the way the list was filled (see above, Add and Append) .
Standard_EXPORT void | SetValue (const Standard_Integer num, const Handle(Standard_Transient)&ent)
| Returns an Item given its number. Beware about the way the list was filled (see above, Add and Append) .
Standard_EXPORT void | FillIterator (Interface_EntityIterator &iter) const
| fills an Iterator with the content of the list (normal way to consult a list which has been filled with Add)
Standard_EXPORT Standard_Integer | NbTypedEntities (const Handle(Standard_Type)&atype) const
| Returns count of Entities of a given Type (0 : none) .
Standard_EXPORT Handle_Standard_Transient | TypedEntity (const Handle(Standard_Type)&atype, const Standard_Integer num=0) const
| Returns the Entity which is of a given type. If num = 0 (D), there must be ONE AND ONLY ONE If num > 0, returns the num-th entity of this type .
## Private Attributes
Handle_Standard_Transient | theval

## Constructor & Destructor Documentation

Standard_EXPORT Interface_EntityList::Interface_EntityList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_EntityList::Add | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void Interface_EntityList::Append | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void Interface_EntityList::Clear | ( |  | ) |

Standard_EXPORT void Interface_EntityList::FillIterator | ( | Interface_EntityIterator & | iter | ) | const

Standard_EXPORT Standard_Boolean Interface_EntityList::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Integer Interface_EntityList::NbEntities | ( |  | ) | const

Standard_EXPORT Standard_Integer Interface_EntityList::NbTypedEntities | ( | const Handle(Standard_Type)& | atype | ) | const

void Interface_EntityList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_EntityList::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_EntityList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Interface_EntityList::Remove | ( | const Standard_Integer | num | ) |

Standard_EXPORT void Interface_EntityList::Remove | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void Interface_EntityList::SetValue | ( | const Standard_Integer | num,
|  | const Handle(Standard_Transient)& | ent
| ) |

Standard_EXPORT Handle_Standard_Transient Interface_EntityList::TypedEntity | ( | const Handle(Standard_Type)& | atype,
|  | const Standard_Integer | num = `0`
| ) | const

Standard_EXPORT const Handle_Standard_Transient& Interface_EntityList::Value | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_Standard_Transient Interface_EntityList::theval`[private]`

The documentation for this class was generated from the following file:

- Interface_EntityList.hxx